%define manbo_vendor manbo
%define manbo_platform %{_target_cpu}-%{manbo_vendor}-%{_target_os}%{?_gnu}

%define gcc_libdir		%{_prefix}/lib/gcc

%define program_suffix 4.4

Name:		manbo-files-gcc%{program_suffix}
Summary:	Supplemental files for Manbo GCC
Version:	4.4.0
Release:	%{manbo_mkrel 1}
License:	GPLv3+
Group:		Development/C
URL:		http://manbo-labs.mandriva.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Supplemental files for Manbo GCC which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc%{program_suffix}
Summary:	Supplemental files for Manbo GCC
Provides:	manbo-files-gcc%{program_suffix} = %{version}-%{release}
Group:		Development/C
Conflicts:	gcc4.4 < 4.4.0

%description -n manbo-%{_real_vendor}-files-gcc%{program_suffix}
Supplemental files for Manbo GCC which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-c++%{program_suffix}
Summary:	Supplemental files for Manbo GCC C++
Provides:	manbo-files-gcc-c++%{program_suffix} = %{version}-%{release}
Group:		Development/C++
Conflicts:	gcc4.4-c++ < 4.4.0

%description -n manbo-%{_real_vendor}-files-gcc-c++%{program_suffix}
Supplemental files for Manbo GCC C++ which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-gfortran%{program_suffix}
Summary:	Supplemental files for Manbo GCC Fortran
Provides:	manbo-files-gcc-gfortran%{program_suffix} = %{version}-%{release}
Group:		Development/Other
Conflicts:	gcc4.4-gfortran < 4.4.0

%description -n manbo-%{_real_vendor}-files-gcc-gfortran%{program_suffix}
Supplemental files for Manbo GCC Fortran which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-java%{program_suffix}
Summary:	Supplemental files for Manbo GCC Java
Provides:	manbo-files-gcc-java%{program_suffix} = %{version}-%{release}
Group:		Development/Other
Conflicts:	gcj4.4-tools < 4.4.0
Conflicts:	gcc4.4-java < 4.4.0

%description -n manbo-%{_real_vendor}-files-gcc-java%{program_suffix}
Supplemental files for Manbo GCC Java which is built with the vendor-name
"manbo".

%prep
test "%{_real_vendor}" = "%{manbo_vendor}" && /bin/false

%build

mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
for i in c++ g++ gcj gcc gcc-%{version} gfortran gcjh; do
   ln -sf %{manbo_platform}-$i $RPM_BUILD_ROOT/%{_bindir}/%{_target_platform}-$i
done

mkdir -p $RPM_BUILD_ROOT/%{gcc_libdir}/%{_target_platform}
ln -sf ../%{manbo_platform}/%{version} \
 $RPM_BUILD_ROOT/%{gcc_libdir}/%{_target_platform}/%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n manbo-%{_real_vendor}-files-gcc%{program_suffix}
%{_bindir}/%{_target_platform}-gcc
%{_bindir}/%{_target_platform}-gcc-%{version}
%{gcc_libdir}/%{_target_platform}/*

%files -n manbo-%{_real_vendor}-files-gcc-c++%{program_suffix}
%{_bindir}/%{_target_platform}-c++
%{_bindir}/%{_target_platform}-g++

%files -n manbo-%{_real_vendor}-files-gcc-gfortran%{program_suffix}
%{_bindir}/%{_target_platform}-gfortran

%files -n manbo-%{_real_vendor}-files-gcc-java%{program_suffix}
%{_bindir}/%{_target_platform}-gcj
%{_bindir}/%{_target_platform}-gcjh




%changelog
* Mon Mar 16 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.4.0-1mnb2
+ Revision: 356137
- import manbo-files-gcc4.4


* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 4.2.3-5mnb1
+ Revision: 188300
- add version to the virtual provides manbo-files-gcc*

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 4.2.3-4mnb1
+ Revision: 188299
- require subpackages until gcc subpackages has been rebuilt to require them specifically
- add conflicts on the various gcc-xxx packages (#38936)
- split the symlinks into subpackages

* Sat Mar 15 2008 Pixel <pixel@mandriva.com> 4.2.3-3mnb1
+ Revision: 188042
- add symlinks for i586-mandriva-linux-gnu-c++, g++, gfortran, gcj, gjh
  (it would be nicer to split, will do later)

* Thu Mar 13 2008 Pixel <pixel@mandriva.com> 4.2.3-2mnb1
+ Revision: 187537
- gcc is installed in /usr/lib/gcc, not /usr/lib64/gcc

* Fri Mar 07 2008 Pixel <pixel@mandriva.com> 4.2.3-1mnb1
+ Revision: 181257
- add explicit conflict on old non-manbo gcc

  + Kiichiro Naka <knaka@turbolinux.co.jp>
    - use _real_vendor not _vendor
    - change to manbo_mkrel macro
    - modify to generate a package with the name which contains real vendor name
    - import manbo-files-gcc

